org.apache.hadoop.ha.proto

## Class HAServiceProtocolProtos

- java.lang.Object
- - org.apache.hadoop.ha.proto.HAServiceProtocolProtos

-     public final class HAServiceProtocolProtos
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HAServiceProtocolProtos.GetServiceStatusRequestProto` Protobuf type `hadoop.common.GetServiceStatusRequestProto`
    `static interface` | `HAServiceProtocolProtos.GetServiceStatusRequestProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.GetServiceStatusResponseProto` Protobuf type `hadoop.common.GetServiceStatusResponseProto`
    `static interface` | `HAServiceProtocolProtos.GetServiceStatusResponseProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.HARequestSource` Protobuf enum `hadoop.common.HARequestSource`
    `static class` | `HAServiceProtocolProtos.HAServiceProtocolService` Protobuf service `hadoop.common.HAServiceProtocolService`
    `static class` | `HAServiceProtocolProtos.HAServiceStateProto` Protobuf enum `hadoop.common.HAServiceStateProto`
    `static class` | `HAServiceProtocolProtos.HAStateChangeRequestInfoProto` Protobuf type `hadoop.common.HAStateChangeRequestInfoProto`
    `static interface` | `HAServiceProtocolProtos.HAStateChangeRequestInfoProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.MonitorHealthRequestProto` Protobuf type `hadoop.common.MonitorHealthRequestProto`
    `static interface` | `HAServiceProtocolProtos.MonitorHealthRequestProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.MonitorHealthResponseProto` Protobuf type `hadoop.common.MonitorHealthResponseProto`
    `static interface` | `HAServiceProtocolProtos.MonitorHealthResponseProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.TransitionToActiveRequestProto` Protobuf type `hadoop.common.TransitionToActiveRequestProto`
    `static interface` | `HAServiceProtocolProtos.TransitionToActiveRequestProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.TransitionToActiveResponseProto` Protobuf type `hadoop.common.TransitionToActiveResponseProto`
    `static interface` | `HAServiceProtocolProtos.TransitionToActiveResponseProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.TransitionToObserverRequestProto` Protobuf type `hadoop.common.TransitionToObserverRequestProto`
    `static interface` | `HAServiceProtocolProtos.TransitionToObserverRequestProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.TransitionToObserverResponseProto` Protobuf type `hadoop.common.TransitionToObserverResponseProto`
    `static interface` | `HAServiceProtocolProtos.TransitionToObserverResponseProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.TransitionToStandbyRequestProto` Protobuf type `hadoop.common.TransitionToStandbyRequestProto`
    `static interface` | `HAServiceProtocolProtos.TransitionToStandbyRequestProtoOrBuilder`
    `static class` | `HAServiceProtocolProtos.TransitionToStandbyResponseProto` Protobuf type `hadoop.common.TransitionToStandbyResponseProto`
    `static interface` | `HAServiceProtocolProtos.TransitionToStandbyResponseProtoOrBuilder`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.